[Overview][Constants][Classes][Index] | Reference for unit 'inicol' (#fcl)

# TIniCollectionItem.LoadFromIni

Method called when the item must be loaded

## Declaration

Source position: inicol.pp line 32

`public procedure TIniCollectionItem.LoadFromIni(`
`Ini: TCustomIniFile;`
`Section: string`
`); virtual; abstract;`

## Arguments

`Ini` |  | TCustomIniFile instance from which the item should be loaded
`Section` |  | Section from which data should be loaded.

## Description

LoadFromIni is called by TIniCollection.LoadFromIni when it saves this item. Descendent classes should override this method to load the data they need to load. All read methods of the TCustomIniFile instance passed in Ini can be used, as long as the reading happens in the section passed in Section.

## Errors

No checking is done to see whether the values are actually read from the correct section.

## See also

TIniCollection.LoadFromIni |  | Load collection from a file in .ini file format.
SaveToIni |  | Method called when the item must be saved
LoadFromFile |  | Load item from a file
SaveToFile |  | Save item to a file